# post_v1_agent_install

`POST /v1/agents/{agent}/install`

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `agent` | path | Yes | string | Agent id |

### Parameter schemas

```json
[
  {
    "name": "agent",
    "in": "path",
    "description": "Agent id",
    "required": true,
    "schema": {
      "type": "string"
    }
  }
]
```

## Request body

Required.

### application/json

```json
{
  "schema": {
    "$ref": "#/components/schemas/AgentInstallRequest"
  }
}
```

Related schemas: [AgentInstallRequest](/sandbox-agent/docs/api-reference/schemas/agentinstallrequest/).

## Responses

### 200

Agent install result

Content type: `application/json`

```json
{
  "schema": {
    "$ref": "#/components/schemas/AgentInstallResponse"
  }
}
```

Related schemas: [AgentInstallResponse](/sandbox-agent/docs/api-reference/schemas/agentinstallresponse/).

### 400

Invalid request

Content type: `application/json`

```json
{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}
```

Related schemas: [ProblemDetails](/sandbox-agent/docs/api-reference/schemas/problemdetails/).

### 500

Install failed

Content type: `application/json`

```json
{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}
```

Related schemas: [ProblemDetails](/sandbox-agent/docs/api-reference/schemas/problemdetails/).
